@import url("range-slider.css");
@import url("line-chart.css");
@import url("switch.css");
@import url("loader.css");

html {
  font-family: Helvetica, Arial, serif;

  font-size: 14px;
}

#chart {
  font-size: 14px;
}

.chart-header {
  padding-left: 100px;
  padding-right: 100px;
}

.range-container {
  display: grid;
  grid-template-columns: 45px 80px 1fr;
  grid-gap: 10px;
  margin-top: 30px;
}

.cursor-range-container {
  display: grid;
  grid-template-columns: 70px 1fr;
  grid-gap: 10px;
  margin-top: 30px;
}

.box {
  position: relative;
  box-sizing: border-box;
}

.align-top {
  align-self: start;
  /* Align item to the top */
}

.legend {
  z-index: 3;
}

.legendCells .cell.inactive circle {
  fill: rgb(182, 182, 182) !important;
}

.legendCells .cell.inactive text {
  fill-opacity: 0.5;
}

.legend-background {
  fill: white;
  stroke: #babeb9;
  stroke-width: 2;
}


.box {
  position: relative;

}

/* SELECT STYLE START */
label.custom-select select {
  width: 120px;
  height: 35px;
  padding: 4px;
  padding-left: 12px;
  border-radius: 4px;
  box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.4);
  background: #eee;
  border: none;
  outline: none;
  display: inline-block;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  cursor: pointer;
}

label.custom-select {
  position: relative;
}

label.custom-select:after {
  content: '<>';
  font: 12px "Consolas", monospace;
  color: rgb(82, 82, 82);
  -webkit-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  transform: rotate(90deg);
  right: 8px;
  top: 9px;
  padding: 0 0 2px;
  border-bottom: 1px solid #ddd;
  position: absolute;
  pointer-events: none;
}

label.custom-select:before {
  content: '';
  right: 6px;
  top: 8px;
  width: 20px;
  height: 20px;
  background: #eee;
  position: absolute;
  pointer-events: none;
  display: block;
}

/* SELECT STYLE END */


/* BUTTON STYLE START */

.btn-draw-chart {
  align-items: center;
  background-clip: padding-box;
  background-color: #5089b8;
  border: 1px solid transparent;
  border-radius: 4px;
  box-shadow: rgba(0, 0, 0, 0.02) 0 1px 3px 0;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  display: inline-flex;
  font-family: system-ui, -apple-system, system-ui, "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 1rem;
  font-weight: 600;
  justify-content: center;
  line-height: 1.25;
  margin: 0;
  min-height: 38px;
  padding: calc(.875rem - 1px) calc(1.5rem - 1px);
  position: relative;
  text-decoration: none;
  transition: all 250ms;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  vertical-align: baseline;
  width: auto;
  height: 35px;
}

.btn-draw-chart:hover,
.btn-draw-chart:focus {
  background-color: #509bd8;
  box-shadow: rgba(0, 0, 0, 0.1) 0 4px 12px;
}

.btn-draw-chart:hover {
  transform: translateY(-1px);
}

.btn-draw-chart:active {
  background-color: #3c73a0;
  box-shadow: rgba(0, 0, 0, .06) 0 2px 4px;
  transform: translateY(0);
}

/* BUTTON STYLE END */


.animated {
  animation: button-pulse 0.5s infinite;
}

@keyframes button-pulse {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.2);
  }

  100% {
    transform: scale(1);
  }
}

.d-none {
  display: none !important;
}

.chart-info-container {
  padding-left: 100px;
  padding-top: 10px;
}

#timeChartInfo,
#chartDataDates {
  position: relative;
  display: inline-block;
  border: 1px solid #babeb9;
  overflow: hidden;
  background-color: #fff;
  padding: 10px;
  box-shadow: rgba(0, 0, 0, 0.15) 1px 1px 4px;
  cursor: move;
  z-index: 2;
  line-height: 20px;
  margin-right: 10px;
}

/* Prevents inconsistent highlighting of element while being dragged
   Copied from https://stackoverflow.com/questions/826782 */
.noselect {
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Safari */
  -khtml-user-select: none;
  /* Konqueror HTML */
  -moz-user-select: none;
  /* Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;
  /* Non-prefixed version, currently supported by Chrome and Opera */
}